import { View } from "react-native";
import React from "react";
import Page from "../../layouts/Page";
import GradientButton from "../../components/GradientButton";
import { gutters } from "../../styles";
import { navigate } from "../../navigation/NavigationService";
import { Routes } from "../../navigation";
import firebase from "../../config/firebase";
import useMinuit from "react-native-minuit/src/hooks/useMinuit.js";

const Writing = () => {
  const { setIsLoading } = useMinuit();

  async function generateTestLyrics() {
    try {
      await setIsLoading(true);
      const { data } = await firebase
        .functions()
        .httpsCallable("lyrics-generateLyrics")({
        objective:
          "Célébrer l’agence Minuit et mettre en avant son expertise digitale, son esprit d’équipe et sa créativité.",
        context:
          "L’agence Minuit accompagne les startups et entreprises innovantes dans la création de produits digitaux, du prototype à la version de financement, jusqu’à l’optimisation et la mise à l’échelle. Spécialisée dans le développement sur-mesure d’applications mobiles, elle valorise l’humain, le design et l’accompagnement personnalisé. Esprit nocturne, équipe passionnée.",
        emotion:
          "La Joie : expose un bonheur profond, l'émerveillement, la gratitude, satisfaction intense, énergie positive.",
        style: "Upbeat : Pour une ambiance joyeuse et rythmée.",
        audience:
          "L’équipe Minuit et ses clients fidèles, startups ambitieuses et partenaires visionnaires.",
        structure: ["couplet", "refrain", "couplet", "refrain"],
        rhymes: "Avec rimes",
      });
      console.log("data", data);
    } catch (e) {
      console.log(e);
    } finally {
      await setIsLoading(false);
    }
  }

  return (
    <Page
      headerType="NONE"
      containerStyle={{ paddingHorizontal: 0 }}
      contentContainerStyle={{
        padding: gutters * 2,
      }}
    >
      <View style={{ flex: 1, justifyContent: "flex-end" }}>
        <GradientButton
          title="Commencer"
          onPress={() => navigate(Routes.WritingLyrics)}
        />
      </View>
    </Page>
  );
};

export default Writing;
